Viewing Issue Advanced Details Jump to Notes ] [ View Source: namcos11.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02700 Speed Major Always 2008-12-02 15:55 2011-09-02 00:34
Tester hap View Status Public Platform MAME (Unofficial Binary)
Assigned To hap Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved   Driver namcos11.c
Version 0.128u4 Fixed in Version 0.143u5 Build I686
Summary 02700: pocketrc: game runs too fast
Description The game runs too fast everywhere. Music is not affected.
Steps To Reproduce
Additional Information - happens on official 0.128 too
Flags
Regression Version
Affected Sets / Systems pocketrc
Attached Files
 


-  Notes
User avatar (03197)
Tafoid (Administrator)
2008-12-02 16:38

Unfortunately, I cannot test this correctly .. with frameskip - I can get about 50% in game on my machine. Can we have someone capable of 100% performance test this and report observations?
User avatar (03201)
Fujix (Administrator)
2008-12-02 19:30

I confirmed the issue. Count down and lap clock are almost twice as fast as usual.
User avatar (04937)
hap (Developer)
2009-09-12 15:22

It happens as far back as 0.109, it's safe to assume the bug was there already when this game was added in 0.108u5.

Simply underclocking the CPU makes this game playable (more or less), but still too fast during sections with low poly count.